Bug 311760 - Network Reqests Viewer cause Amarok to crash
Summary: Network Reqests Viewer cause Amarok to crash
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Tools/Network Requests Viewer (show other bugs)
Version: 2.6-git
Platform: Ubuntu Packages Linux
: HI crash (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-12-16 02:35 UTC by Myriam Schweingruber
Modified: 2012-12-17 01:12 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Myriam Schweingruber 2012-12-16 02:35:40 UTC
Application: amarok (2.6-git)
KDE Platform Version: 4.9.90
Qt Version: 4.8.3
Operating System: Linux 3.5.0-19-generic x86_64
Distribution: Ubuntu 12.10

-- Information about the crash:
- What I was doing when the application crashed:

Opening the Network Requests Viewer and letting it open far a minute or two, it crashes every time I tried.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f7720f83780 (LWP 32459))]

Thread 11 (Thread 0x7f77001e9700 (LWP 32464)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f770199666f in ?? () from /usr/lib/libvlccore.so.5
#2  0x00007f771a1b7e9a in start_thread (arg=0x7f77001e9700) at pthread_create.c:308
#3  0x00007f771dc77cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f76f9934700 (LWP 32466)):
#0  0x00007f771dc6c303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f77175fcd84 in g_main_context_poll (n_fds=1, fds=0x7f76f4002be0, timeout=-1, context=0x7f76f40009e0, priority=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3584
#2  g_main_context_iterate (context=context@entry=0x7f76f40009e0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3285
#3  0x00007f77175fcea4 in g_main_context_iteration (context=0x7f76f40009e0, may_block=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3351
#4  0x00007f771e602c16 in QEventDispatcherGlib::processEvents (this=0x7f76f4000900, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f771e5d32bf in QEventLoop::processEvents (this=this@entry=0x7f76f9933dd0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f771e5d3548 in QEventLoop::exec (this=0x7f76f9933dd0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f771e4d4b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007f771e5b39af in QInotifyFileSystemWatcherEngine::run (this=0x1a9f130) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f771e4d7aec in QThreadPrivate::start (arg=0x1a9f130) at thread/qthread_unix.cpp:338
#10 0x00007f771a1b7e9a in start_thread (arg=0x7f76f9934700) at pthread_create.c:308
#11 0x00007f771dc77cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f76f3b08700 (LWP 32468)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f771e4d804b in wait (time=18446744073709551615, this=0x1cb7f30) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1bb9d70, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f771b7300e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1afcb40, th=0x19d89a0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f771b73292b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1af8f80, th=0x19d89a0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f771b73179f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f76f3b07e00, parent=0x1afcb40, th=th@entry=0x19d89a0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f771b73182b in ThreadWeaver::Thread::run (this=0x19d89a0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f771e4d7aec in QThreadPrivate::start (arg=0x19d89a0) at thread/qthread_unix.cpp:338
#8  0x00007f771a1b7e9a in start_thread (arg=0x7f76f3b08700) at pthread_create.c:308
#9  0x00007f771dc77cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f76f2600700 (LWP 32469)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f771e4d804b in wait (time=18446744073709551615, this=0x1cb7f30) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1bb9d70, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f771b7300e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1afcb40, th=0x207a110) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f771b73292b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1af8f80, th=0x207a110) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f771b732944 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1af8f80, th=0x207a110) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f771b73179f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f76f25ffe00, parent=0x1afcb40, th=th@entry=0x207a110) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f771b73182b in ThreadWeaver::Thread::run (this=0x207a110) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f771e4d7aec in QThreadPrivate::start (arg=0x207a110) at thread/qthread_unix.cpp:338
#9  0x00007f771a1b7e9a in start_thread (arg=0x7f76f2600700) at pthread_create.c:308
#10 0x00007f771dc77cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f76f1dad700 (LWP 32471)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f771e4d804b in wait (time=18446744073709551615, this=0x1cb7f30) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1bb9d70, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f771b7300e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1afcb40, th=0x16065b0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f771b73292b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1af8f80, th=0x16065b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f771b73179f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f76f1dace00, parent=0x1afcb40, th=th@entry=0x16065b0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f771b73182b in ThreadWeaver::Thread::run (this=0x16065b0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f771e4d7aec in QThreadPrivate::start (arg=0x16065b0) at thread/qthread_unix.cpp:338
#8  0x00007f771a1b7e9a in start_thread (arg=0x7f76f1dad700) at pthread_create.c:308
#9  0x00007f771dc77cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f76f15ac700 (LWP 32472)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f771e4d804b in wait (time=18446744073709551615, this=0x1cb7f30) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1bb9d70, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f771b7300e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1afcb40, th=0x1c74670) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f771b73292b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1af8f80, th=0x1c74670) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f771b73179f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f76f15abe00, parent=0x1afcb40, th=th@entry=0x1c74670) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f771b73182b in ThreadWeaver::Thread::run (this=0x1c74670) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f771e4d7aec in QThreadPrivate::start (arg=0x1c74670) at thread/qthread_unix.cpp:338
#8  0x00007f771a1b7e9a in start_thread (arg=0x7f76f15ac700) at pthread_create.c:308
#9  0x00007f771dc77cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f76e2d96700 (LWP 32481)):
#0  0x00007f771dc6a8bd in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f771763915f in read (__nbytes=16, __buf=0x7f76e2d95be0, __fd=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/unistd.h:45
#2  g_wakeup_acknowledge (wakeup=0x7f76dc001d70) at /build/buildd/glib2.0-2.34.1/./glib/gwakeup.c:212
#3  0x00007f77175fc914 in g_main_context_check (context=context@entry=0x7f76d80009a0, max_priority=2147483647, fds=fds@entry=0x7f76d8002bb0, n_fds=n_fds@entry=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3129
#4  0x00007f77175fcd22 in g_main_context_iterate (context=context@entry=0x7f76d80009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3287
#5  0x00007f77175fcea4 in g_main_context_iteration (context=0x7f76d80009a0, may_block=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3351
#6  0x00007f771e602c16 in QEventDispatcherGlib::processEvents (this=0x7f76d80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x00007f771e5d32bf in QEventLoop::processEvents (this=this@entry=0x7f76e2d95dd0, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f771e5d3548 in QEventLoop::exec (this=0x7f76e2d95dd0, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007f771e4d4b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#10 0x00007f771e5b39af in QInotifyFileSystemWatcherEngine::run (this=0x2397630) at io/qfilesystemwatcher_inotify.cpp:248
#11 0x00007f771e4d7aec in QThreadPrivate::start (arg=0x2397630) at thread/qthread_unix.cpp:338
#12 0x00007f771a1b7e9a in start_thread (arg=0x7f76e2d96700) at pthread_create.c:308
#13 0x00007f771dc77cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f76e184b700 (LWP 32482)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f771424fb2d in WTF::TCMalloc_PageHeap::scavengerThread (this=0x7f7714c10280 <WTF::pageheap_memory>) at wtf/FastMalloc.cpp:2499
#2  0x00007f771424fc39 in WTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at wtf/FastMalloc.cpp:1622
#3  0x00007f771a1b7e9a in start_thread (arg=0x7f76e184b700) at pthread_create.c:308
#4  0x00007f771dc77cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f76e0f4a700 (LWP 32483)):
#0  0x00007f771dc6c303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f77175fcd84 in g_main_context_poll (n_fds=1, fds=0x7f76d00029c0, timeout=5941, context=0x7f76d00009a0, priority=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3584
#2  g_main_context_iterate (context=context@entry=0x7f76d00009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3285
#3  0x00007f77175fcea4 in g_main_context_iteration (context=0x7f76d00009a0, may_block=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3351
#4  0x00007f771e602c16 in QEventDispatcherGlib::processEvents (this=0x7f76d00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f771e5d32bf in QEventLoop::processEvents (this=this@entry=0x7f76e0f49e00, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f771e5d3548 in QEventLoop::exec (this=0x7f76e0f49e00, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f771e4d4b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007f771e4d7aec in QThreadPrivate::start (arg=0x2698c00) at thread/qthread_unix.cpp:338
#9  0x00007f771a1b7e9a in start_thread (arg=0x7f76e0f4a700) at pthread_create.c:308
#10 0x00007f771dc77cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f76d7441700 (LWP 32517)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f771a790cd7 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f771aa9e660 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f771a790d09 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f771a1b7e9a in start_thread (arg=0x7f76d7441700) at pthread_create.c:308
#4  0x00007f771dc77cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f7720f83780 (LWP 32459)):
[KCrash Handler]
#6  0x00007f772028ed3a in QTreeWidgetItem::setText (this=0x0, column=2, atext=...) at /usr/include/qt4/QtGui/qtreewidget.h:227
#7  0x00007f772028e354 in NetworkAccessViewer::requestFinished (this=0x665da60, replyObject=0x6bd0960) at /home/myriam/kde/src/amarok/src/network/NetworkAccessViewer.cpp:128
#8  0x00007f771ffa75a9 in NetworkAccessViewer::qt_static_metacall (_o=0x665da60, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7fffcf9d0350) at /home/myriam/kde/build/amarok/src/moc_NetworkAccessViewer.cpp:54
#9  0x00007f771e5e9f5f in QMetaObject::activate (sender=0x6687ae0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffcf9d0350) at kernel/qobject.cpp:3547
#10 0x00007f771e5efee2 in QSignalMapper::mapped (this=this@entry=0x6687ae0, _t1=0x6bd0960) at .moc/release-shared/moc_qsignalmapper.cpp:136
#11 0x00007f771e5efff5 in QSignalMapper::map (this=0x6687ae0, sender=0x6bd0960) at kernel/qsignalmapper.cpp:272
#12 0x00007f771e5e9f5f in QMetaObject::activate (sender=0x6bd0960, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#13 0x00007f771e5dc987 in QMetaMethod::invoke (this=this@entry=0x7fffcf9d0730, object=object@entry=0x6bd0960, connectionType=Qt::DirectConnection, connectionType@entry=Qt::AutoConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1664
#14 0x00007f771e5ded5c in QMetaObject::invokeMethod (obj=0x6bd0960, member=<optimized out>, type=Qt::AutoConnection, ret=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1179
#15 0x00007f771bcdc6cc in invokeMethod (val9=..., val8=..., val7=..., val6=..., val5=..., val4=..., val3=..., val2=..., val1=..., val0=..., type=Qt::AutoConnection, member=0x7f771be3fa3a "finished", obj=0x6bd0960) at /usr/include/qt4/QtCore/qobjectdefs.h:418
#16 KDEPrivate::AccessManagerReply::emitFinished (this=this@entry=0x6bd0960, state=state@entry=true, type=type@entry=Qt::AutoConnection) at ../../kio/kio/accessmanagerreply_p.cpp:484
#17 0x00007f771bcdd9c5 in KDEPrivate::AccessManagerReply::slotResult (this=0x6bd0960, kJob=0x2f6c420) at ../../kio/kio/accessmanagerreply_p.cpp:427
#18 0x00007f771e5e9f5f in QMetaObject::activate (sender=0x2f6c420, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffcf9d0ce0) at kernel/qobject.cpp:3547
#19 0x00007f771ea50ef2 in KJob::result (this=this@entry=0x2f6c420, _t1=_t1@entry=0x2f6c420) at ./kjob.moc:208
#20 0x00007f771ea50f30 in KJob::emitResult (this=0x2f6c420) at ../../kdecore/jobs/kjob.cpp:318
#21 0x00007f771bd10885 in KIO::SimpleJob::slotFinished (this=this@entry=0x2f6c420) at ../../kio/kio/job.cpp:494
#22 0x00007f771bd17d72 in KIO::TransferJob::slotFinished (this=0x2f6c420) at ../../kio/kio/job.cpp:1081
#23 0x00007f771e5e9f5f in QMetaObject::activate (sender=0x517a5a0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#24 0x00007f771bdb38f1 in KIO::SlaveInterface::dispatch (this=0x517a5a0, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:172
#25 0x00007f771bdb09ca in KIO::SlaveInterface::dispatch (this=0x517a5a0) at ../../kio/kio/slaveinterface.cpp:88
#26 0x00007f771bda4e2e in KIO::Slave::gotInput (this=0x517a5a0) at ../../kio/kio/slave.cpp:344
#27 0x00007f771e5e9f5f in QMetaObject::activate (sender=0x22cc460, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#28 0x00007f771bce5772 in dequeue (this=<optimized out>) at ../../kio/kio/connection.cpp:82
#29 KIO::ConnectionPrivate::dequeue (this=0x25db720) at ../../kio/kio/connection.cpp:71
#30 0x00007f771e5e943e in QObject::event (this=0x22cc460, e=<optimized out>) at kernel/qobject.cpp:1195
#31 0x00007f771efb6e9c in QApplicationPrivate::notify_helper (this=this@entry=0x13e5600, receiver=receiver@entry=0x22cc460, e=e@entry=0x445dea0) at kernel/qapplication.cpp:4562
#32 0x00007f771efbb30a in QApplication::notify (this=0x7fffcf9d4190, receiver=0x22cc460, e=0x445dea0) at kernel/qapplication.cpp:4423
#33 0x00007f7720a653a6 in KApplication::notify (this=0x7fffcf9d4190, receiver=0x22cc460, event=0x445dea0) at ../../kdeui/kernel/kapplication.cpp:311
#34 0x00007f771e5d456e in QCoreApplication::notifyInternal (this=0x7fffcf9d4190, receiver=receiver@entry=0x22cc460, event=event@entry=0x445dea0) at kernel/qcoreapplication.cpp:915
#35 0x00007f771e5d83f1 in sendEvent (event=0x445dea0, receiver=0x22cc460) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#36 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x12721f0) at kernel/qcoreapplication.cpp:1539
#37 0x00007f771e602a63 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#38 postEventSourceDispatch (s=s@entry=0x13f5340) at kernel/qeventdispatcher_glib.cpp:279
#39 0x00007f77175fcab5 in g_main_dispatch (context=0x13e7b00) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:2715
#40 g_main_context_dispatch (context=context@entry=0x13e7b00) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3219
#41 0x00007f77175fcde8 in g_main_context_iterate (context=context@entry=0x13e7b00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3290
#42 0x00007f77175fcea4 in g_main_context_iteration (context=0x13e7b00, may_block=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3351
#43 0x00007f771e602bf6 in QEventDispatcherGlib::processEvents (this=0x1273ad0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#44 0x00007f771f05bc1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#45 0x00007f771e5d32bf in QEventLoop::processEvents (this=this@entry=0x7fffcf9d1d30, flags=...) at kernel/qeventloop.cpp:149
#46 0x00007f771e5d3548 in QEventLoop::exec (this=0x7fffcf9d1d30, flags=...) at kernel/qeventloop.cpp:204
#47 0x00007f771e5d8708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#48 0x000000000040cc3a in main (argc=3, argv=0x7fffcf9d42d8) at /home/myriam/kde/src/amarok/src/main.cpp:329

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2012-12-16 02:38:43 UTC
Tested with v2.6.90-6-g68f9097
Comment 2 Matěj Laitl 2012-12-16 18:11:12 UTC
Git commit 2514633fd9a546de62e03bcb73be221da7b1b7c2 by Matěj Laitl.
Committed on 16/12/2012 at 19:08.
Pushed by laitl into branch 'master'.

NetworkAccessViewer::requestFinished(): prevent crash

Let's hope it won't crash somewhere else..

BUGFIXES:
 * Fix crash in Network Requests Viewer.
FIXED-IN: 2.7

M  +1    -0    ChangeLog
M  +14   -8    src/network/NetworkAccessViewer.cpp

http://commits.kde.org/amarok/2514633fd9a546de62e03bcb73be221da7b1b7c2